@tailwind base;
@tailwind components;
@tailwind utilities;

@import 'variables';
@import './fonts.scss';
@import './animations.scss';

:root {
  --foreground-rgb: 0, 0, 0;
  --background-start-rgb: 214, 219, 220;
  --background-end-rgb: 255, 255, 255;
}

@media (prefers-color-scheme: dark) {
  :root {
    --foreground-rgb: 255, 255, 255;
    --background-start-rgb: 0, 0, 0;
    --background-end-rgb: 0, 0, 0;
  }
}

body {
  background: rgb(174, 180, 238);
  background: radial-gradient(circle, rgba(174, 180, 238, 1) 0%, rgba(16, 111, 224, 1) 100%);
}

main {
  max-width: 1111px;
  width: 100%;
  min-width: 375px;
  margin-left: auto;
  margin-right: auto;
  font-family: 'Digital-7', sans-serif;
}

@layer utilities {
  .text-balance {
    text-wrap: balance;
  }
}

.box-shadow {
  box-shadow:
    2.8px 2.8px 2.2px rgba(0, 0, 0, 0.02),
    6.7px 6.7px 5.3px rgba(0, 0, 0, 0.028),
    12.5px 12.5px 10px rgba(0, 0, 0, 0.035),
    22.3px 22.3px 17.9px rgba(0, 0, 0, 0.042),
    41.8px 41.8px 33.4px rgba(0, 0, 0, 0.05),
    100px 100px 80px rgba(0, 0, 0, 0.07);
}

.glass {
  background: rgba(67, 155, 167, 0.19);
  border-top-right-radius: 10px;
  border-bottom-right-radius: 10px;
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(0px);
  -webkit-backdrop-filter: blur(0px);
  border: 1px solid rgba(67, 155, 167, 0.7);
}

.coin-btn {
  &>.coin {
    margin: auto;
    bottom: 0;
    left: 0;
    right: 0;
    top: 0;
    height: 120px;
    width: 120px;

    .front,
    .back {
      position: relative;
      height: 110px;
      width: 110px;
      background: $color-yellow;
      border-radius: 50%;
      border-top: 7px solid $color-light-yellow;
      border-left: 7px solid $color-light-yellow;
      border-right: 7px solid $color-dark-yellow;
      border-bottom: 7px solid $color-dark-yellow;
      transform: rotate(44deg);
    }

    .shine-effect {
      overflow: hidden;
      position: absolute;
      width: 100%;
      height: 100%;
      z-index: 3;
      border-radius: 50%;
      transform: translateX(-50%) rotate(-44deg);

      &:after {
        content: "";
        position: absolute;
        height: 200px;
        width: 40px;
        margin: 20px -165px;
        box-shadow: 50px -23px 0 -10px $color-shine,
          85px -10px 0 -16px $color-shine-2;
        transform: rotate(-50deg);
        animation: shine $speedJump ease infinite;
      }
    }

    .shapes {
      left: 50%;
      top: -50%;
      transform: rotate(-44deg) translate(-88%, 65%);
      position: absolute;
      width: 80%;
      height: 80%;

      >div {
        width: 15px;
        height: 3px;
        background: $color-dark-yellow;
        border-top: 2px solid $color-dark-yellow-border;
        display: flex;
        justify-content: center;

        &:before {
          content: "";
          position: absolute;
          width: 15px;
          height: 3px;
          background: $color-dark-yellow;
          margin: -10px 0;
        }

        &:after {
          content: "";
          position: absolute;
          width: 15px;
          height: 3px;
          background: $color-dark-yellow;
          margin: 8px 0;
        }
      }
    }

    .shape_l {
      float: left;
    }

    .shape_r {
      float: right;
    }

    .top {
      color: $color-text;
      text-align: center;
      width: 100%;
      position: absolute;
      left: 0;
      top: -40%;
    }

    .bottom {
      color: $color-text;
      text-align: center;
      width: 100%;
      position: absolute;
      left: 0;
      bottom: 60%;
    }
  }
}

.door-product,
.door-return-coins {
  position: relative;
  overflow: hidden;

  &::after {
    @apply border-2 border-t-0 border-black bg-slate-300 bg-gradient-to-b from-slate-600 rounded-b-lg;

    content: '';
    width: 100%;
    height: 100%;
    position: absolute;
    transition: transform 0.3s ease;
    z-index: 10;
  }

  &.open {
    @apply rounded-b-lg;
    z-index: 20;

    &::after {
      transform: translateY(-80%)
    }
  }
}

.door-return-coins {
  overflow: visible;
}

.coin-return {
  &>.coin {
    margin: auto;
    bottom: 0;
    left: 0;
    right: 0;
    top: 0;
    height: 90px;
    width: 90px;

    .front,
    .back {
      position: relative;
      height: 90px;
      width: 90px;
      background: $color-yellow;
      border-radius: 50%;
      border-top: 7px solid $color-light-yellow;
      border-left: 7px solid $color-light-yellow;
      border-right: 7px solid $color-dark-yellow;
      border-bottom: 7px solid $color-dark-yellow;
      transform: rotate(44deg);
    }

    .shine-effect {
      overflow: hidden;
      position: absolute;
      width: 100%;
      height: 100%;
      z-index: 3;
      border-radius: 50%;
      transform: translateX(-50%) rotate(-44deg);

      &:after {
        content: "";
        position: absolute;
        height: 200px;
        width: 40px;
        margin: 20px -165px;
        box-shadow: 50px -23px 0 -10px $color-shine,
          85px -10px 0 -16px $color-shine-2;
        transform: rotate(-50deg);
        animation: shine $speedJump ease infinite;
      }
    }

    .shapes {
      left: 50%;
      top: -50%;
      transform: rotate(-44deg) translate(-88%, 65%);
      position: absolute;
      width: 80%;
      height: 80%;
    }

    .top {
      color: $color-text;
      text-align: center;
      width: 100%;
      position: absolute;
      left: 0;
      top: -40%;
    }

    .bottom {
      color: $color-text;
      text-align: center;
      width: 100%;
      position: absolute;
      left: 0;
      bottom: 40%;
    }
  }
}